Update Agent Draft
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"configuration": {},
"version": 1
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft"
payload = {
"configuration": {},
"version": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({configuration: {}, version: 1})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"exists": true,
"has_changes": true,
"version": 123,
"configuration": {},
"published_changed": true,
"missing_references": {},
"object": "agent_draft",
"changes": [],
"updated_by": "<string>",
"updated_at": "<string>"
}Agents
Update Agent Draft
Change fields of the agent’s draft. The live agent is unchanged until the draft is published.
PUT
/
api
/
v1
/
agents
/
{agent_id}
/
draft
Update Agent Draft
curl --request PUT \
--url https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"configuration": {},
"version": 1
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft"
payload = {
"configuration": {},
"version": 1
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({configuration: {}, version: 1})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/agents/{agent_id}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agent_id": "<string>",
"exists": true,
"has_changes": true,
"version": 123,
"configuration": {},
"published_changed": true,
"missing_references": {},
"object": "agent_draft",
"changes": [],
"updated_by": "<string>",
"updated_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
Allowed value:
"agent_draft"